import { Distribution } from "aws-cdk-lib/aws-cloudfront";
import { IHostedZone } from "aws-cdk-lib/aws-route53";
import { Bucket } from "aws-cdk-lib/aws-s3";
import { Construct } from "constructs";
import { CloudFrontDistributionConfig } from "./types";
export interface StaticHostingProps {
    readonly siteId: string;
    readonly fullyQualifiedSiteName: string;
    readonly hostedZone: IHostedZone;
    readonly redirects?: SiteRedirects;
    readonly cloudFrontDistributionConfig?: CloudFrontDistributionConfig;
}
export declare type SiteRedirects = Record<string, string>;
export declare class StaticHosting extends Construct {
    readonly bucket: Bucket;
    readonly distribution: Distribution;
    constructor(scope: Construct, id: string, props: StaticHostingProps);
    private generateRedirectStatements;
}
